Microsoft Dynamics Get Record By ID Account
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT",
"parameters": {
"entityId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT"
payload = {
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT",
"parameters": { "entityId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT',
parameters: {entityId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT',
'parameters' => [
'entityId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT"
payload := strings.NewReader("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"@odata.context": "https://example.crm.dynamics.com/api/data/v9.0/$metadata#accounts/$entity",
"@odata.etag": "W/\"36693441\"",
"_ownerid_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"merged": false,
"accountid": "9310e1a3-f6e4-4e5a-a927-b07bbf75978d",
"_transactioncurrencyid_value": "68f389b0-577b-4f48-aee5-92544c03e41d",
"participatesinworkflow": false,
"followemail": true,
"_owninguser_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"address2_shippingmethodcode": 1,
"accountratingcode": 1,
"creditonhold": false,
"openrevenue_date": "2026-10-16T05:31:33Z",
"address1_addressid": "232b4ad2-dcfe-46bf-a39c-4cbfdc52e0df",
"msdyn_travelchargetype": 690970003,
"donotphone": false,
"_createdby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"donotemail": false,
"openrevenue_state": 0,
"donotsendmm": false,
"_modifiedby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"marketingonly": false,
"territorycode": 1,
"opendeals_state": 0,
"accountclassificationcode": 1,
"msdyn_taxexempt": false,
"donotpostalmail": false,
"_owningbusinessunit_value": "a0b74d6c-90de-4c4f-a0e0-bf1888180f2d",
"modifiedon": "2026-10-16T06:19:33Z",
"statuscode": 1,
"shippingmethodcode": 1,
"donotbulkemail": false,
"versionnumber": 36693441,
"address2_freighttermscode": 1,
"opendeals_date": "2026-10-16T05:31:33Z",
"name": "Docs Example Account",
"statecode": 0,
"customersizecode": 1,
"exchangerate": 1,
"donotbulkpostalmail": false,
"donotfax": false,
"msdyn_gdproptout": false,
"businesstypecode": 1,
"address2_addresstypecode": 1,
"createdon": "2026-10-16T06:19:33Z",
"telephone1": "555-0100",
"address2_addressid": "f0c6c6ca-4faf-4234-abed-db0ae76728f5",
"preferredcontactmethodcode": 1
}Tools
Microsoft Dynamics Get Record By ID Account
POST
/
projects
/
{project_id}
/
tools
/
#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT
Microsoft Dynamics Get Record By ID Account
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT",
"parameters": {
"entityId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT"
payload = {
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT",
"parameters": { "entityId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT',
parameters: {entityId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT',
'parameters' => [
'entityId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT"
payload := strings.NewReader("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_ACCOUNT\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"@odata.context": "https://example.crm.dynamics.com/api/data/v9.0/$metadata#accounts/$entity",
"@odata.etag": "W/\"36693441\"",
"_ownerid_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"merged": false,
"accountid": "9310e1a3-f6e4-4e5a-a927-b07bbf75978d",
"_transactioncurrencyid_value": "68f389b0-577b-4f48-aee5-92544c03e41d",
"participatesinworkflow": false,
"followemail": true,
"_owninguser_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"address2_shippingmethodcode": 1,
"accountratingcode": 1,
"creditonhold": false,
"openrevenue_date": "2026-10-16T05:31:33Z",
"address1_addressid": "232b4ad2-dcfe-46bf-a39c-4cbfdc52e0df",
"msdyn_travelchargetype": 690970003,
"donotphone": false,
"_createdby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"donotemail": false,
"openrevenue_state": 0,
"donotsendmm": false,
"_modifiedby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"marketingonly": false,
"territorycode": 1,
"opendeals_state": 0,
"accountclassificationcode": 1,
"msdyn_taxexempt": false,
"donotpostalmail": false,
"_owningbusinessunit_value": "a0b74d6c-90de-4c4f-a0e0-bf1888180f2d",
"modifiedon": "2026-10-16T06:19:33Z",
"statuscode": 1,
"shippingmethodcode": 1,
"donotbulkemail": false,
"versionnumber": 36693441,
"address2_freighttermscode": 1,
"opendeals_date": "2026-10-16T05:31:33Z",
"name": "Docs Example Account",
"statecode": 0,
"customersizecode": 1,
"exchangerate": 1,
"donotbulkpostalmail": false,
"donotfax": false,
"msdyn_gdproptout": false,
"businesstypecode": 1,
"address2_addresstypecode": 1,
"createdon": "2026-10-16T06:19:33Z",
"telephone1": "555-0100",
"address2_addressid": "f0c6c6ca-4faf-4234-abed-db0ae76728f5",
"preferredcontactmethodcode": 1
}Provider API: Microsoft Dataverse Web API (v9.0).
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.
Body
application/json
Response
200 - application/json
The Dataverse record as returned by GET /api/data/v9.0/<table>(<id>). The fields depend on the table and the connected environment. Fields with a null value are omitted from the example.
Was this page helpful?